FreeMat

- Main Page
- Related Pages

vtkApproximatingSubdivisionFilter

Section: Visualization Toolkit Graphics Classes

# Usage

vtkApproximatingSubdivisionFilter is an abstract class that defines the protocol for Approximating subdivision surface filters.

To create an instance of class vtkApproximatingSubdivisionFilter, simply invoke its constructor as follows

      obj = vtkApproximatingSubdivisionFilter

# Methods

The class vtkApproximatingSubdivisionFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkApproximatingSubdivisionFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkApproximatingSubdivisionFilter = obj.NewInstance ()`
- `vtkApproximatingSubdivisionFilter = obj.SafeDownCast (vtkObject o)`
- `obj.SetNumberOfSubdivisions (int )` - Set/get the number of subdivisions.
- `int = obj.GetNumberOfSubdivisions ()` - Set/get the number of subdivisions.